REM ************************************************************
REM
REM    This batch file will convert the Bios SignOn Logo file
REM    into a module recognized by the flash utility.
REM 
REM    This will convert logo file LOGO.BMP into a module
REM    file named LOGO.MOD
REM
REM    The files bmp2pgx and mcp.exe, available on the flash diskette,
REM    must also be present in the working directory.
REM    
REM    The syntax for the call of mcp.exe:
REM        mcp.exe /c <input file> <output module> _L00 <size>
REM
REM        <input module> should be binary file no larger than 7KB.
REM
REM        <output module> will be passed to flash utility.
REM
REM        _L00 identifies processing Logo type file.
REM
REM        <size> byte size of module in hexidecimal.  1C00
REM        represents the max size of 7KB.
REM
REM ************************************************************
del logo.mod

bmp2pgx  logo.bmp

mcp.exe /c logo.pgx logo.mod _L00 1C00
 
del logo.pgx
